"""
API module for vLLM Judge.
"""
from vllm_judge.api.server import app, create_app, start_server
from vllm_judge.api.client import JudgeClient
from vllm_judge.api.models import (
    EvaluateRequest,
    BatchEvaluateRequest,
    AsyncBatchRequest,
    EvaluationResponse,
    BatchResponse,
    AsyncBatchResponse,
    JobStatusResponse,
    MetricInfo,
    HealthResponse,
    ErrorResponse
)

__all__ = [
    # Server
    "app",
    "create_app",
    "start_server",
    
    # Client
    "JudgeClient",
    
    # Models
    "EvaluateRequest",
    "BatchEvaluateRequest",
    "AsyncBatchRequest",
    "EvaluationResponse",
    "BatchResponse",
    "AsyncBatchResponse",
    "JobStatusResponse",
    "MetricInfo",
    "HealthResponse",
    "ErrorResponse"
]